Subject: Re: [PATCH] fix build for MediaTek MT7610U USB wireless dongle

From: Stanislaw Gruszka <[email-masked]>
Date: Thu, 9 Aug 2018 12:51:52 +0200

On Wed, Aug 08, 2018 at 04:16:54PM -0400, [email-masked] wrote:
> The mt76x0 driver requires the mt76 core driver to actually function.
> So add a 'select' to avoid embarrassing 'symbol unknown' errors
> when attempting to modprobe it in a module tree that doesn't
> include mt76.ko
> 
> Signed-off-by: Valdis Kletnieks <[email-masked]>
> ---
> Still need to figure out why it totally fails to see the 5gz band,
> it works find on 2.4 but ends up locked at 72mbits/sec. Works
> OK otherwise...

This may depend on HW configuration written in the EEPROM. My dongle
Linksys AE6000 do not require various features that Mediatek driver has,
those are not implemented in mt76x0 driver and should be added. Your
hardware may require those features.

You can try version of the driver from:
https://github.com/sgruszka/wireless-drivers-next/commits/mt76x0-draft-v2
which include various fixes and possibly can make things better
(or worse, there can be regressions too)

Cheers
Stanislaw